# CglTemporary Class Reference

Stored Temporary Cut Generator Class - destroyed after first use. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for CglTemporary:
[legend]
Collaboration diagram for CglTemporary:
[legend]

List of all members.

## Public Member Functions
Generate Cuts
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo()) const
| Generate Mixed Integer Stored cuts for the model of the solver interface, si.
Constructors and destructors
| CglTemporary ()
| Default constructor.
| CglTemporary (const CglTemporary &rhs)
| Copy constructor.
virtual CglCutGenerator * | clone () const
| Clone.
CglTemporary & | operator= (const CglTemporary &rhs)
| Assignment operator.
virtual | ~CglTemporary ()
| Destructor.

## Detailed Description

Stored Temporary Cut Generator Class - destroyed after first use.

Definition at line 1266 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

CglTemporary::CglTemporary | ( |  | ) |

Default constructor.

CglTemporary::CglTemporary | ( | const CglTemporary & | rhs | ) |

Copy constructor.

virtual CglTemporary::~CglTemporary | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void CglTemporary::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = `CglTreeInfo()` |
| ) |  |  | const`[virtual]`

Generate Mixed Integer Stored cuts for the model of the solver interface, si.

Insert the generated cuts into OsiCut, cs.

This generator just looks at previously stored cuts and inserts any that are violated by enough

Reimplemented from CglStored.

virtual CglCutGenerator* CglTemporary::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CglStored.

CglTemporary& CglTemporary::operator= | ( | const CglTemporary & | rhs | ) |

Assignment operator.

Reimplemented from CglStored.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines